findcon(1)

NAME
findcon - SELinux file context search tool

SYNOPSIS
findcon [OPTIONS] -c CONTEXT FILENAMES

DESCRIPTION
This manual page describes the findcon command.

findcon allows the user to search for files of a specified context. Results can be filtered by object class as described below.

A context may be specified as a colon separated list of user, role, and type as follows - user_u:object_r:type_t. If your system supports MLS you can also add an additional MLS range to the end as follows - user_u:object_r:type_t:s0. The tool will automatically match a user, role, type, or range that is not specified, with any other user, role, type, or range. If your system has MLS and the translation library is enabled matching is done using it. If you want the tool to match raw contexts please use --raw option.

OPTIONS

--raw
    Specify context to search for, ignoring the translation library if present.

-c, --context=CONTEXT
    Specify context to search for.

-o, --object=OBJECT
    Restrict search to the specified object class.

-r, --recursive
    Recurse through directories.

-s, --stdin
    Read FILENAMES from standard input.

-q, --quiet
    Suppress progress output.

-V, --verbose
    Display context info.

-v, --version
    Display version information and exit.

-h, --help
    Display help information and exit.

INFORMATION
Valid object classes are

file, dir, lnk_file, chr_file, blk_file, sock_file, fifo_file, all_files

EXAMPLES

findcon -c : .
    Find every context in the current directory

findcon -c user_u: .
    Find every context that contains user_u in the current directory

findcon -c ::type_t:s0 .
    Find every context with type type_t and MLS range s0 in the current directory

AUTHOR
This manual page was written by Kevin Carr <kcarr@tresys.com>.

COPYRIGHT
Copyright(C) 2006 Tresys Technology, LLC

SEE ALSO
replcon(1), searchcon(1), indexcon(1)